# Class Controller

#### Hierarchy

- Controller

- Defined in src/editing/attributesComponent.js:116

#####
Index

### Properties

attributes
disabled
feature
ngeoEventHelper_
properties
scope_
updating_

### Methods

$onDestroy
$onInit
handleFeaturePropertyChange_
handleInputChange
sanitize_

## Properties

### attributes

attributes: Attribute[]

The list of attributes to create the form with.

- Defined in src/editing/attributesComponent.js:122

### disabled

disabled: boolean

Whether the fieldset should be disabled or not.

- Defined in src/editing/attributesComponent.js:129

### feature

feature: Feature<Geometry>

The feature containing the values.

- Defined in src/editing/attributesComponent.js:136

### ngeoEventHelper_

ngeoEventHelper_: EventHelper

- Defined in src/editing/attributesComponent.js:154

### properties

properties: Object

The properties bound to the form, initialized with the inner properties of the feature.

- Defined in src/editing/attributesComponent.js:144
- Defined in src/editing/attributesComponent.js:176

### scope_

scope_: IScope

- Defined in src/editing/attributesComponent.js:149

### updating_

updating_: boolean

While changes happen from the form (from the template), they are applied to the feature inner properties. The 'propertychange' event registered above does the opposite, i.e. it listens to the feature inner properties changes and apply them to the form. To prevent circular issues, while applying changes coming from the form, this flag is set. While set, changes from the feature inner properties are ignored.

- Defined in src/editing/attributesComponent.js:166
- Defined in src/editing/attributesComponent.js:204
- Defined in src/editing/attributesComponent.js:207

## Methods

### $onDestroy

- $onDestroy(): void

- Cleanup event listeners.

  #### Returns void

  - Defined in src/editing/attributesComponent.js:236

### $onInit

- $onInit(): void

- Initialize the component.

  #### Returns void

  - Defined in src/editing/attributesComponent.js:172

### handleFeaturePropertyChange_

- handleFeaturePropertyChange_(evt: Event | BaseEvent): void

- #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/editing/attributesComponent.js:244

### handleInputChange

- handleInputChange(name: string): void

- Called when an input node value changes

  #### Parameters

  - ##### name: string

    Attribute name

  #### Returns void

  - Defined in src/editing/attributesComponent.js:197

### sanitize_

- sanitize_(attribute: Attribute): void

- Never keep a undefined values, use null. On boolean, replace null by false. On date, datetime and time replace empty string by null.

  #### Parameters

  - ##### attribute: Attribute

  #### Returns void

  - Defined in src/editing/attributesComponent.js:217

Generated using TypeDoc